Skip to main content
GET
/
audits
/
{auditId}
/
managed-vendors
Java
package hello.world;

import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.operations.ListVendorsRequest;
import com.vanta.vanta_auditor_api.models.operations.ListVendorsResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Vanta sdk = Vanta.builder()
                .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
            .build();

        ListVendorsRequest req = ListVendorsRequest.builder()
                .auditId("<id>")
                .build();

        ListVendorsResponse res = sdk.audits().listVendors()
                .request(req)
                .call();

        if (res.paginatedResponseAuditVendor().isPresent()) {
            System.out.println(res.paginatedResponseAuditVendor().get());
        }
    }
}
{
  "results": {
    "pageInfo": {
      "hasNextPage": true,
      "hasPreviousPage": false,
      "startCursor": "5f2c939a52855e725c8d5824",
      "endCursor": "5f2c939a52855e725c8d5824"
    },
    "data": [
      {
        "id": "5f2c939a52855e725c8d5824",
        "name": "Acme Corp",
        "vendorCategory": "SaaS",
        "inherentRisk": "HIGH",
        "status": "ACTIVE",
        "findings": 3,
        "lastReviewedCompleted": "2025-01-15T10:00:00.000Z",
        "nextSecurityReviewDueDate": "2025-07-15T10:00:00.000Z",
        "residualRisk": "HIGH",
        "dataAgreements": {
          "complete": 1,
          "total": 2
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.vanta.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

The audit ID

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of results per page (1-100, default 10) Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Search term for filtering by vendor name

vendorStatusesMatchesAny
enum<string>[]

Filter vendors by status values

Available options:
ACTIVE,
ARCHIVED,
IN_PROCUREMENT
inherentRiskMatchesAny
enum<string>[]

Filter vendors by inherent risk level values

Available options:
CRITICAL,
HIGH,
MEDIUM,
LOW,
UNSCORED
orderBy
enum<string>

Field to sort results by. Allowed: "name", "inherentRisk". Default: "name"

Available options:
name,
inherentRisk
orderDirection
enum<string>

Sort direction: "asc" or "desc". Default: "asc" Sort direction: "asc" for ascending, "desc" for descending.

Available options:
asc,
desc

Response

200 - application/json

Paginated list of vendors with pagination metadata

results
object
required